<?xml version="1.0" encoding="UTF-8"?>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <h:head>
        <title>Acervo de livros</title>

    </h:head>
    <h:body>




        <h:form prependId="false">
            <p:growl autoUpdate="false" id="growl" />
            <p:fieldset legend="Acervo de livros">
                <p:panelGrid columns="2" id="painel">
                    <f:facet name="header">
                        Dados do Autor
                    </f:facet>

                    <p:outputLabel value="Codigo" for="codigo"/>
                    <p:inputText id="codigo" style="width: 40px" readonly="true" value="#{livroBean.codigo}"/>
                    <p:outputLabel value="Titulo" for="titulo"/>

                    <h:panelGroup>
                        <p:inputText id="titulo" style="width: 300px" required="true" 
                                     value="#{livroBean.livro.titulo}"/>
                        <p:message for="titulo"/>
                    </h:panelGroup>

                    <p:outputLabel value="Autor" for="autor"/>

                    <h:panelGroup>
                        <p:inputText id="autor" style="width: 300px" required="true" 
                                     value="#{livroBean.livro.listaAutores}"/>
                        <p:message for="autor"/>
                    </h:panelGroup>

                   <f:facet name="footer">
                        <p:commandButton value="Salvar" icon="fa-save"  
                                         action="#{livroBean.salvar}" update="growl,painel,tabela" />
                        
                        <p:spacer width="20px" />
                        
                        <p:commandButton value="Cancelar" icon="fa-save"  ajax="false" action="#{livroBean.novo}"/>
                    </f:facet>                           

                </p:panelGrid>  
            </p:fieldset>
            <p:spacer height="20px"/>

            <p:fieldset legend="Livros cadastrados" >
                <p:dataTable value="#{livroBean.lista}" var="livro" id="tabela">
                    <p:column headerText="Código" style="width: 80px; text-align: center">
                        <h:outputText value="#{livro.id}" />
                    </p:column>
                    <p:column headerText="Titulo">
                        <h:outputText value="#{livro.titulo}" />
                    </p:column>
                    <p:column headerText="Autor">
                        <h:outputText value="#{livro.listaAutores}" />
                    </p:column>
                    <p:column style="width: 80px; text-align: center">
                        <p:commandButton  icon="ui-icon-save" title="Editar" ajax="false" immediate="true">
                            <f:setPropertyActionListener target="#{livroBean.livro}" value="#{livro}" />
                        </p:commandButton>

                        <p:commandButton icon="ui-icon-trash" title="Excluir" actionListener="#{livroBean.excluir(livro)}" process="@this" update="growl , tabela"  />

                    </p:column>




                </p:dataTable>

            </p:fieldset>
            
            
            <h:dataTable var="livro" value="#{livroBean.lista}">
                <h:column >#{livro.id}</h:column>
                <h:column>#{livro.listaAutores}</h:column>
            </h:dataTable>
            
        </h:form>








    </h:body>
</html>

